#
# spec file for package lesstif (Version 0.92.32)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         lesstif
Copyright:    LGPL
Group:        X11/Libraries
Autoreqprov:  on
Version:      0.92.32
Release:      47
URL:          http://www.lesstif.org/
Summary:      A free replacement for OSF/Motif(R)
Source:       ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/lesstif-%{version}.tar.bz2
Patch:	      lesstif-%{version}.dif

%description
LessTif is a free replacement for OSF/Motif(R).

Authors:
--------
    Harald Albrecht
    Jeremy Allison
    Gary Aviv <gary@compgen.com>
    Danny Backx <danny.backx@skynet.be> <u27113@kb.be>
    Marcus Butler <marcusb@worldspice.net>
    Jon A. Christopher <jon@quorum.tamu.edu>
    Matt Crosby
    Ray Dassen <jdassen@debian.org>
    Peter Derr <pderr@zk3.dec.com>
    Jon Fo <jonf@protocol.com>
    Stephen Gallimore <sg@ipsys.co.uk>
    James Gritton <jamie@gritton.org>
    Peter van Helden <Peter.vanHelden@net.HCC.nl>
    Michael Holzapfel
    Eric Howe <mu@clio.trends.ca>
    Jim Hunt
    Christoph Jaeschke
    Karsten Jensen <kbwj@diku.dk>
    Alexander Mai <st002279@HRzpUB.tu-darmstadt.DE>
    Rob McMullen <rwmcm@hydra.au.utexas.edu>
    Mitch Miers <miers@packet.net>
    Peter Pilgrim
    John Richardson
    Rick Scott <rwscott@omnisig.com>
    Chris Toshok <toshok@hungry.com>
    Peter Williams <pgw@hungry.com>
    Andreas Zeller <zeller@ips.cs.tu-bs.de>

SuSE series: xdev

%package devel
Requires: xdevel
Summary:      Header files etc. for lesstif
Group:        Development/Libraries/X11
Autoreqprov:  on
Provides: lesstifd lestif2d
Obsoletes: lesstifd lestif2d

%description devel
This package contains all files necessary to compile source code which uses
lesstif.

Authors:
--------
    Harald Albrecht
    Jeremy Allison
    Gary Aviv <gary@compgen.com>
    Danny Backx <danny.backx@skynet.be> <u27113@kb.be>
    Marcus Butler <marcusb@worldspice.net>
    Jon A. Christopher <jon@quorum.tamu.edu>
    Matt Crosby
    Ray Dassen <jdassen@debian.org>
    Peter Derr <pderr@zk3.dec.com>
    Jon Fo <jonf@protocol.com>
    Stephen Gallimore <sg@ipsys.co.uk>
    James Gritton <jamie@gritton.org>
    Peter van Helden <Peter.vanHelden@net.HCC.nl>
    Michael Holzapfel
    Eric Howe <mu@clio.trends.ca>
    Jim Hunt
    Christoph Jaeschke
    Karsten Jensen <kbwj@diku.dk>
    Alexander Mai <st002279@HRzpUB.tu-darmstadt.DE>
    Rob McMullen <rwmcm@hydra.au.utexas.edu>
    Mitch Miers <miers@packet.net>
    Peter Pilgrim
    John Richardson
    Rick Scott <rwscott@omnisig.com>
    Chris Toshok <toshok@hungry.com>
    Peter Williams <pgw@hungry.com>
    Andreas Zeller <zeller@ips.cs.tu-bs.de>

SuSE series: xdev

%prep
%setup
%patch

%build
#%{?suse_update_config:%{suse_update_config -f lib/Xbae lib/Xlt}}
CURDIR=`pwd`
for i in . lib/Xbae lib/Xlt test
do
cd $i
aclocal
libtoolize -c -f
automake
autoconf
cd $CURDIR
done
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --enable-shared \
	--enable-static --enable-build-12 --disable-maintainer-mode \
	--enable-install-12 --with-motif-includes=/usr/X11R6/include/Xm \
	--with-motif-libraries=/usr/X11R6/lib --enable-build-Xlt \
	--enable-build-Xbae --disable-debug

%install
make install
(
cd lib/Xlt
make install
)
(
cd /usr/X11R6/LessTif/Motif1.2/lib
ln -sf libMrm.so.1.0.2 libMrm.so.1.0
ln -sf libXm.so.1.0.2 libXm.so.1.0
cd /usr/X11R6/lib
ln -sf libXlt.so.0.9.2 libXlt.so.0.9
)
DOCDIR=%{_docdir}/lesstif
rm -fr $DOCDIR
install -d -m 755 $DOCDIR
#cd /usr/X11R6/LessTif/doc
#cp -a man /usr/X11R6
#rm -fr man
cd /usr/X11R6/lib
ln -fs ../LessTif/Motif1.2/lib/* .
cd ../include
ln -fs ../LessTif/Motif1.2/include/* .
cd ../LessTif
mv `ls -d [A-Z]*|grep -v Motif` doc $DOCDIR
(
cd /usr/X11R6/lib/X11/config
#mv Imake.tmpl Imake.tmpl.lesstif
#mv Motif.tmpl Motif.tmpl.lesstif
#mv Motif.rules Motif.rules.lesstif
)

%triggerin devel -- xf86
# Replace Motif.tmpl and Motif.rules with our versions
MOTIFTMPL="usr/X11R6/lib/X11/config/Motif.tmpl"
LESSTTMPL="usr/X11R6/lib/X11/config/LessTif.tmpl"
test -f $MOTIFTMPL && mv -f $MOTIFTMPL $MOTIFTMPL.orig 2> /dev/null
test -f $LESSTTMPL && ln -sf LessTif.tmpl $MOTIFTMPL
MOTIFRULES="usr/X11R6/lib/X11/config/Motif.rules"
LESSTRULES="usr/X11R6/lib/X11/config/LessTif.rules"
test -f $MOTIFRULES && mv -f $MOTIFRULES $MOTIFRULES.orig 2> /dev/null
test -f $LESSTRULES && ln -sf LessTif.rules $MOTIFRULES
# Set TopLevelProject to Motif in site.def.
SITEDEF="usr/X11R6/lib/X11/config/site.def"
grep "^\#define TopLevelProject Motif" $SITEDEF > /dev/null 2>&1
if [ $? -ne 0 ]; then
    [ ! -f $SITEDEF.orig ] && mv -f $SITEDEF $SITEDEF.orig
    sed -e '/^\#ifdef BeforeVendorCF$/a\
\
\#define TopLevelProject Motif\
\#define FixupLibReferences() /**/' < $SITEDEF.orig > $SITEDEF
fi
exit 0

%files
%dir /usr/X11R6/LessTif
%dir /usr/X11R6/LessTif/Motif1.2
%dir /usr/X11R6/LessTif/Motif1.2/lib
/usr/X11R6/LessTif/Motif1.2/lib/libMrm.so.1
/usr/X11R6/LessTif/Motif1.2/lib/libMrm.so.1.0.2
/usr/X11R6/LessTif/Motif1.2/lib/libXm.so.1
/usr/X11R6/LessTif/Motif1.2/lib/libXm.so.1.0.2
/usr/X11R6/lib/libMrm.so.1
/usr/X11R6/lib/libMrm.so.1.0.2
/usr/X11R6/lib/libXlt.so.0
/usr/X11R6/lib/libXlt.so.0.9.2
/usr/X11R6/lib/libXm.so.1
/usr/X11R6/lib/libXm.so.1.0.2
%{_docdir}/lesstif

%files devel
/usr/X11R6/LessTif/Motif1.2/include
%dir /usr/X11R6/include/Mrm
%dir /usr/X11R6/include/Xlt
%dir /usr/X11R6/include/Xm
#%dir /usr/X11R6/lib/config
#/usr/X11R6/lib/X11/config/Imake.tmpl
/usr/X11R6/bin/uil
/usr/X11R6/lib/X11/config/LessTif.rules
/usr/X11R6/lib/X11/config/LessTif.tmpl
/usr/X11R6/LessTif/Motif1.2/lib/libMrm.so.1.0
/usr/X11R6/LessTif/Motif1.2/lib/libXm.so.1.0
/usr/X11R6/LessTif/Motif1.2/lib/libMrm.so
/usr/X11R6/LessTif/Motif1.2/lib/libXm.so
/usr/X11R6/lib/libMrm.so.1.0
/usr/X11R6/lib/libMrm.so
/usr/X11R6/lib/libXlt.so.0.9
/usr/X11R6/lib/libXlt.so
/usr/X11R6/lib/libXm.so.1.0
/usr/X11R6/lib/libXm.so
/usr/X11R6/LessTif/Motif1.2/lib/libMrm.a
/usr/X11R6/LessTif/Motif1.2/lib/libMrm.la
/usr/X11R6/LessTif/Motif1.2/lib/libXm.a
/usr/X11R6/LessTif/Motif1.2/lib/libXm.la
/usr/X11R6/bin/mxmkmf
/usr/X11R6/include/Xlt/AnimatedButton.h
/usr/X11R6/include/Xlt/AnimatedButtonP.h
/usr/X11R6/include/Xlt/AppShell.h
/usr/X11R6/include/Xlt/AppShellP.h
/usr/X11R6/include/Xlt/BubbleButton.h
/usr/X11R6/include/Xlt/BubbleButtonP.h
/usr/X11R6/include/Xlt/EntrySB.h
/usr/X11R6/include/Xlt/EntrySBP.h
/usr/X11R6/include/Xlt/FilePicker.h
/usr/X11R6/include/Xlt/FilePickerP.h
/usr/X11R6/include/Xlt/Host.h
/usr/X11R6/include/Xlt/HostP.h
/usr/X11R6/include/Xlt/ListTree.h
/usr/X11R6/include/Xlt/ListTreeP.h
/usr/X11R6/include/Xlt/NodeButton.h
/usr/X11R6/include/Xlt/NodeButtonP.h
/usr/X11R6/include/Xlt/NumEntry.h
/usr/X11R6/include/Xlt/NumEntryP.h
/usr/X11R6/include/Xlt/SciPlot.h
/usr/X11R6/include/Xlt/SciPlotP.h
/usr/X11R6/include/Xlt/SciPlotUtil.h
/usr/X11R6/include/Xlt/Sound.h
/usr/X11R6/include/Xlt/Stroke.h
/usr/X11R6/include/Xlt/Xlt.h
/usr/X11R6/lib/libMrm.a
/usr/X11R6/lib/libMrm.la
/usr/X11R6/lib/libXlt.a
/usr/X11R6/lib/libXlt.la
/usr/X11R6/lib/libXm.a
/usr/X11R6/lib/libXm.la
/usr/X11R6/man/man1/lesstif.1.gz
/usr/X11R6/man/man1/mwm.1.gz
/usr/X11R6/man/man1/xmbind.1.gz
#/usr/X11R6/man/man3/ApplicationShell.3.gz
#/usr/X11R6/man/man3/Composite.3.gz
#/usr/X11R6/man/man3/Constraint.3.gz
#/usr/X11R6/man/man3/Core.3.gz
/usr/X11R6/man/man3/LessTifInternals.3.gz
#/usr/X11R6/man/man3/Object.3.gz
#/usr/X11R6/man/man3/OverrideShell.3.gz
#/usr/X11R6/man/man3/Rect.3.gz
#/usr/X11R6/man/man3/Shell.3.gz
#/usr/X11R6/man/man3/TopLevelShell.3.gz
#/usr/X11R6/man/man3/TransientShell.3.gz
#/usr/X11R6/man/man3/UnNamedObj.3.gz
#/usr/X11R6/man/man3/VendorShell.3.gz
#/usr/X11R6/man/man3/WmShell.3.gz
/usr/X11R6/man/man3/XmArrowButton.3.gz
/usr/X11R6/man/man3/XmArrowButtonGadget.3.gz
/usr/X11R6/man/man3/XmBulletinBoard.3.gz
/usr/X11R6/man/man3/XmCascadeButton.3.gz
/usr/X11R6/man/man3/XmCascadeButtonGadget.3.gz
/usr/X11R6/man/man3/XmClipboard.3.gz
/usr/X11R6/man/man3/XmComboBox.3.gz
/usr/X11R6/man/man3/XmCommand.3.gz
/usr/X11R6/man/man3/XmDesktop.3.gz
/usr/X11R6/man/man3/XmDialogShell.3.gz
/usr/X11R6/man/man3/XmDialogShellExt.3.gz
/usr/X11R6/man/man3/XmDisplay.3.gz
/usr/X11R6/man/man3/XmDragContext.3.gz
/usr/X11R6/man/man3/XmDragIcon.3.gz
/usr/X11R6/man/man3/XmDragOverShell.3.gz
/usr/X11R6/man/man3/XmDrawingArea.3.gz
/usr/X11R6/man/man3/XmDrawnButton.3.gz
/usr/X11R6/man/man3/XmDropSiteManager.3.gz
/usr/X11R6/man/man3/XmDropTransfer.3.gz
/usr/X11R6/man/man3/XmFileSelectionBox.3.gz
/usr/X11R6/man/man3/XmForm.3.gz
/usr/X11R6/man/man3/XmFrame.3.gz
/usr/X11R6/man/man3/XmGadget.3.gz
/usr/X11R6/man/man3/XmGrabShell.3.gz
/usr/X11R6/man/man3/XmIconGadget.3.gz
/usr/X11R6/man/man3/XmLabel.3.gz
/usr/X11R6/man/man3/XmLabelGadget.3.gz
/usr/X11R6/man/man3/XmList.3.gz
/usr/X11R6/man/man3/XmMainWindow.3.gz
/usr/X11R6/man/man3/XmManager.3.gz
/usr/X11R6/man/man3/XmMenuShell.3.gz
/usr/X11R6/man/man3/XmMessageBox.3.gz
/usr/X11R6/man/man3/XmNotebook.3.gz
/usr/X11R6/man/man3/XmPanedWindow.3.gz
/usr/X11R6/man/man3/XmPrimitive.3.gz
/usr/X11R6/man/man3/XmProtocol.3.gz
/usr/X11R6/man/man3/XmPushButton.3.gz
/usr/X11R6/man/man3/XmPushButtonGadget.3.gz
/usr/X11R6/man/man3/XmRowColumn.3.gz
/usr/X11R6/man/man3/XmSash.3.gz
/usr/X11R6/man/man3/XmScale.3.gz
/usr/X11R6/man/man3/XmScreen.3.gz
/usr/X11R6/man/man3/XmScrollBar.3.gz
/usr/X11R6/man/man3/XmScrolledWindow.3.gz
/usr/X11R6/man/man3/XmSelectionBox.3.gz
/usr/X11R6/man/man3/XmSeparator.3.gz
/usr/X11R6/man/man3/XmSeparatorGadget.3.gz
/usr/X11R6/man/man3/XmSpinBox.3.gz
/usr/X11R6/man/man3/XmTearOffButton.3.gz
/usr/X11R6/man/man3/XmText.3.gz
/usr/X11R6/man/man3/XmTextField.3.gz
/usr/X11R6/man/man3/XmToggleButton.3.gz
/usr/X11R6/man/man3/XmToggleButtonGadget.3.gz
/usr/X11R6/man/man3/XmVendorShell.3.gz
/usr/X11R6/man/man3/XmWorld.3.gz
#/usr/X11R6/man/man3/XtConfigureObject.3.gz
#/usr/X11R6/man/man3/XtDestroyWidget.3.gz
#/usr/X11R6/man/man3/XtManageChild.3.gz
#/usr/X11R6/man/man3/XtUnmanageChild.3.gz
/usr/X11R6/man/man5/mwmrc.5.gz
/usr/X11R6/man/man3/StrokeInstall.3.gz
/usr/X11R6/man/man3/Strokes.3.gz
/usr/X11R6/man/man3/Xlt.3.gz
/usr/X11R6/man/man3/XltAnimatedButton.3.gz
/usr/X11R6/man/man3/XltAppInitialize.3.gz
/usr/X11R6/man/man3/XltAppShell.3.gz
/usr/X11R6/man/man3/XltBubbleButton.3.gz
/usr/X11R6/man/man3/XltCheckArgSize.3.gz
/usr/X11R6/man/man3/XltCreateAnimatedButton.3.gz
/usr/X11R6/man/man3/XltCreateBubbleButton.3.gz
/usr/X11R6/man/man3/XltCreateHost.3.gz
/usr/X11R6/man/man3/XltCreateNumEntry.3.gz
/usr/X11R6/man/man3/XltEntrySB.3.gz
/usr/X11R6/man/man3/XltGetValues.3.gz
/usr/X11R6/man/man3/XltHost.3.gz
/usr/X11R6/man/man3/XltHostCreateTranscript.3.gz
/usr/X11R6/man/man3/XltHostDiscardOutput.3.gz
/usr/X11R6/man/man3/XltHostSelect.3.gz
/usr/X11R6/man/man3/XltHostSendData.3.gz
/usr/X11R6/man/man3/XltHostSendString.3.gz
/usr/X11R6/man/man3/XltNumEntry.3.gz
/usr/X11R6/man/man3/XltNumEntryGetChild.3.gz
/usr/X11R6/man/man3/XltRedirectStdErr.3.gz
/usr/X11R6/man/man3/XltSetClientIcon.3.gz
/usr/X11R6/man/man3/XltSetValues.3.gz

%changelog -n lesstif
* Tue Jul 24 2001 - uli@suse.de
- update -> 0.9.32
* Tue Apr 17 2001 - uli@suse.de
- 64 bit fixes
* Wed Mar 07 2001 - uli@suse.de
- added xf86 to neededforbuild
* Fri Feb 23 2001 - uli@suse.de
- added lestif2d to lesstif-devel's Obsoletes/Requires
* Fri Feb 09 2001 - bk@suse.de
- update -> 0.92.6
- disable debugging (-g) bloat and compile resource hog
* Tue Jan 02 2001 - uli@suse.de
- added Provides/Obsoletes: lesstifd to lesstif-devel
* Fri Nov 17 2000 - kukuk@suse.de
- Drop lesstif2*
- Rename lesstifd -> lesstif-devel
- Drop mwm, use the OpenMotif version
* Tue Oct 24 2000 - kukuk@suse.de
- Move *.so links into devel package
- Move uil command into devel package
* Thu Sep 28 2000 - uli@suse.de
- update -> 0.91.8
* Sun Jun 25 2000 - bk@suse.de
- added legacy support for building in older distributions(%%{_docdir})
* Fri Jun 02 2000 - uli@suse.de
- moved docs to /usr/share/doc
* Fri May 12 2000 - kukuk@suse.de
- Remove "xpm" from requires
* Thu Apr 06 2000 - bk@suse.de
- added config.{sub,guess} update macro for s390
* Wed Mar 08 2000 - bs@suse.de
- made %%post more friendly
* Tue Jan 18 2000 - uli@suse.de
- update -> 0.89.9
- merged with lestif2/lestif2d
* Fri Oct 01 1999 - uli@suse.de
- update -> snapshot (pre 0.89.1)
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 - ro@suse.de
- include X11.tmpl in Motif.tmpl.lesstif
* Thu Jul 15 1999 - ro@suse.de
- fixed filelist
* Thu Jul 15 1999 - ro@suse.de
- fixed specfile
* Wed Jul 14 1999 - uli@suse.de
- update -> 0.88.9
* Wed Jul 14 1999 - uli@suse.de
- fixed Motif.rules
* Wed Jul 14 1999 - ro@suse.de
- fixed filelist
* Tue Jul 13 1999 - uli@suse.de
- fixed Motif.rules/Motif.tmpl/site.def for imake
* Tue Jun 15 1999 - uli@suse.de
- added missing links needed for dynamic linking
* Thu Jun 10 1999 - uli@suse.de
- new package, version 0.88.1
